The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Поиск:  Каталог документации

1.3. Requirements

You will need Bash. This should be easy: it's the default shell for just about every Linux distribution I know of. The commonest version is now 2.0.x. Version 1.14.7 was the standard for a long time, but has mostly been replaced. I've been using Bash 2.0.x for quite a while now. With recent revisions of the HOWTO (later than July 2001) I've been using a lot of code (mainly ${} substitutions) that I believe is specific to 2.x and may not work with Bash 1.x. You can check your Bash version by typing echo $BASH_VERSION at the prompt. On my machine, it responds with 2.04.21(1)-release.

Shell programming experience would be good, but isn't essential: the more you know, the more complex the prompts you'll be able to create. I assume a basic knowledge of shell programming and Unix utilities as I go through this tutorial. However, my own shell programming skills are limited, so I give a lot of examples and explanation that may appear unnecessary to an experienced shell programmer.




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру